#                                               -*- Autoconf -*-
# Process this file with autoconf to produce a configure script.

AC_PREREQ(2.59)
AC_INIT([katrin], [1.0.0], [kliden at km.ru])
AM_INIT_AUTOMAKE

AM_CONFIG_HEADER(src/config.h)

# Checks for programs.
AC_PROG_CC
AC_PROG_LIBTOOL

# Checks for libraries.
# FIXME: Replace `main' with a function in `-ldl':
AC_CHECK_LIB([dl], [dlopen])
# FIXME: Replace `main' with a function in `-lmysqlclient':
AC_CHECK_LIB([mysqlclient], [mysql_real_query])
AC_CHECK_LIB([confuse], [cfg_init])

# Checks for header files.
AC_HEADER_STDC
AC_CHECK_HEADERS([arpa/inet.h \
	netinet/in.h \
	stdint.h \
	stdlib.h \
	string.h \
	sys/socket.h \
	sys/time.h \
	syslog.h \
	unistd.h])

# Checks for typedefs, structures, and compiler characteristics.
AC_HEADER_STDBOOL
AC_C_CONST
AC_TYPE_PID_T
AC_TYPE_SIZE_T
AC_STRUCT_TM

# Checks for library functions.
AC_FUNC_FORK
AC_FUNC_MALLOC
AC_FUNC_MEMCMP
AC_FUNC_STRFTIME
AC_FUNC_VPRINTF
AC_CHECK_FUNCS([dup2 \
	inet_ntoa \
	memset \
	socket \
	strdup \
	strrchr \
	strstr \
	strtol])

AC_ARG_WITH([pppd-auth],
[  --with-pppd-auth	Build with pppd auth library],
[	if test "$with_pppd_auth" = "yes"; then 
		AC_CONFIG_FILES(src/auth/other/ppp/Makefile)
		AUTH_MOD_SUBDIRS="auth/other/ppp"
		AC_MSG_RESULT([yes])
	else
		AC_MSG_RESULT([no])
	fi
], [AC_MSG_RESULT([no])])

AC_SUBST(AUTH_MOD_SUBDIRS)

AC_CONFIG_FILES([Makefile \
	src/Makefile \
	src/kcdr-sender/Makefile])

AC_OUTPUT
